#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "letterali.h"
#include "vettori.h"
#include "clausole.h"
#include "solver.h"


int main(int argc, char** argv)
{
	solver *s = solver_new();
	lbool   stato;
	FILE *f;
	char nomefile[100];
	clock_t	clk;


	// Gestione errori da input
    
	printf("Immetti il nome del file\n");
	scanf("%s",nomefile);
	f = fopen(nomefile,"r");   // apri il file */
 
	clk = clock(); 
 
	stato = main_modulo1(f,s); /* parsing del file di input e salvataggio 
                                  informazioni nel solver s */
   
	fclose(f);


	if (stato == lFalse){       // La formula è trivialmente insoddisfacibile 
		solver_cancella(s);     // Per il momento non esegue nulla 
		printf("Formula \nUNSATISFIABLE\n");
		exit(0);
	}

	stato = solver_solve(s);    // per il momento non esegue nulla 
	print_clauses(&s->clauses);  // stampa clausole in output 
	solver_cancella(s);         // per il momento non esegue nulla 

	clk = clock() -clk;
	
	return 0;
}



